$!-----------------------------------------------------------------------------
$! CREATE_CLEAN.COM
$!
$! "Reset" all files associated with WASD certificate generation.
$! If P1 is empty then reset certificates, if "CA" reset all files.
$! This procedure is very "quick-and-dirty", use with that in mind!
$!
$! 10-JAN-2003  MGD  OPENSSL-0_9_7
$! 07-APR-2001  MGD  OPENSSL-0_9_6A
$! 25-SEP-2000  MGD  OPENSSL-0_9_6
$! 04-JUN-1999  MGD  OPENSSL-0_9_5 (adapted from earlier procedures)
$! 17-AUG-1999  MGD  refinement
$!-----------------------------------------------------------------------------
$!
$ certDir = "[.CERT]"
$ workDir = "[.CERT.WORK]"
$!
$ say = "write sys$output"
$ procedure = f$environment("procedure") - "000000."
$ newDefault = f$parse(procedure,,,"device") + f$parse(procedure,,,"directory")
$ prevDefault = f$environment("default")
$ set default 'newDefault'
$!
$ type sys$input

                    ************************************
                    *  DELETE ALL SERVER CERTIFICATES  *
                    ************************************

CAUTION ... this permanently removes all server certificates you have
$ say "            generated and stored in ''certDir'"
$ say ""
$ read sys$command response /prompt="Continue? [N]: "
$ say ""
$ if response
$ then
$    delete = "delete/log"
$    delete /log /exclude='certDir'_*.*;* 'certDir'*.PEM;*, -
                                          'certDir'*.CRT;*
$    say ""
$ endif
$!
$ type sys$input
                      ********************************
                      *  DELETE ALL CA CERTIFICATES  *
                      ********************************

CAUTION ... this permanently removes all Certificate Authority (CA)
$ say "            certificates you have generated and stored in ''certDir'"
$ say "            along with the detail and serial number database."
$ say ""
$ read sys$command response /prompt="Continue? [N]: "
$ say ""
$ if response
$ then
$    delete /log 'certDir'_CACERT.PEM;*, -
                 'certDir'_CACERT.CRT;*, -
                 'certDir'_CAKEY.PEM;*
$    delete /log 'workDir'SERIAL.*;*, -
                 'workDir'INDEX.*;*, -
                 'workDir'RAND.DAT;*
$    say ""
$ endif
$!
$ type sys$input
                            *********************
                            *  C O M P L E T E  *
                            *********************

$ set default 'prevDefault'
$!
$!-----------------------------------------------------------------------------
